Index: /palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_bc.f90	(revision 4179)
+++ /palm/trunk/SOURCE/advec_s_bc.f90	(revision 4180)
@@ -30,83 +30,4 @@
 ! nopointer option removed
 ! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2300 2017-06-29 13:31:14Z raasch
-! NEC related code removed
-! 
-! 2292 2017-06-20 09:51:42Z schwenkel
-! Implementation of new microphysic scheme: cloud_scheme = 'morrison' 
-! includes two more prognostic equations for cloud drop concentration (nc)  
-! and cloud water content (qc). 
-! 
-! 2101 2017-01-05 16:42:31Z suehring
-!
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1960 2016-07-12 16:34:24Z suehring
-! New CASE statement to treat scalars and humidity separately
-! 
-! 1873 2016-04-18 14:50:06Z maronga
-! Module renamed (removed _mod)
-! 
-! 
-! 1850 2016-04-08 13:29:27Z maronga
-! Module renamed
-! 
-!
-! 1815 2016-04-06 13:49:59Z raasch
-! comment change
-!
-! 1691 2015-10-26 16:17:44Z maronga
-! Formatting corrections
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable
-! 
-! 1517 2015-01-07 19:12:25Z hoffmann
-! interface added to advec_s_bc
-!
-! 1374 2014-04-25 12:55:07Z raasch
-! missing variables added to ONLY list
-! 
-! 1361 2014-04-16 15:17:48Z hoffmann
-! nr and qr added
-! 
-! 1353 2014-04-08 15:21:23Z heinze
-! REAL constants provided with KIND-attribute
-!
-! 1346 2014-03-27 13:18:20Z heinze
-! Bugfix: REAL constants provided with KIND-attribute especially in call of 
-! intrinsic function like MAX, MIN, SIGN
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! ONLY-attribute added to USE-statements,
-! kind-parameters added to all INTEGER and REAL declaration statements,
-! kinds are defined in new module kinds,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements
-!
-! 1318 2014-03-17 13:35:16Z raasch
-! module interfaces removed
-!
-! 1092 2013-02-02 11:24:22Z raasch
-! unused variables removed
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! 1010 2012-09-20 07:59:54Z raasch
-! cpp switch __nopointer added for pointer free version
-!
-! Revision 1.1  1997/08/29 08:53:46  raasch
-! Initial revision
-!
-!
 ! Description:
 ! ------------
Index: /palm/trunk/SOURCE/advec_s_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_pw.f90	(revision 4179)
+++ /palm/trunk/SOURCE/advec_s_pw.f90	(revision 4180)
@@ -33,61 +33,4 @@
 ! nopointer option removed
 ! 
-! 3547 2018-11-21 13:21:24Z suehring
-! variables documented
-! 
-! 3538 2018-11-20 10:55:41Z suehring
-! Remove unnecessary double-masking of topography
-! 
-! 3302 2018-10-03 02:39:40Z raasch
-! Stokes drift velocity added
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! topography representation via flags
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1873 2016-04-18 14:50:06Z maronga
-! Module renamed (removed _mod)
-! 
-! 
-! 1850 2016-04-08 13:29:27Z maronga
-! Module renamed
-! 
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1374 2014-04-25 12:55:07Z raasch
-! missing variables added to ONLY list
-! 
-! 1353 2014-04-08 15:21:23Z heinze
-! REAL constants provided with KIND-attribute
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! ONLY-attribute added to USE-statements,
-! kind-parameters added to all INTEGER and REAL declaration statements,
-! kinds are defined in new module kinds,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! 1010 2012-09-20 07:59:54Z raasch
-! cpp switch __nopointer added for pointer free version
-!
-! Revision 1.1  1997/08/29 08:54:20  raasch
-! Initial revision
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/advec_s_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_up.f90	(revision 4179)
+++ /palm/trunk/SOURCE/advec_s_up.f90	(revision 4180)
@@ -33,61 +33,4 @@
 ! nopointer option removed
 ! 
-! 3547 2018-11-21 13:21:24Z suehring
-! variables documented
-! 
-! 3538 2018-11-20 10:55:41Z suehring
-! Remove unnecessary double-masking of topography
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! topography representation via flags
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1873 2016-04-18 14:50:06Z maronga
-! Module renamed (removed _mod)
-! 
-! 
-! 1850 2016-04-08 13:29:27Z maronga
-! Module renamed
-! 
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1374 2014-04-25 12:55:07Z raasch
-! missing variables added to ONLY list
-! 
-! 1353 2014-04-08 15:21:23Z heinze
-! REAL constants provided with KIND-attribute
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! ONLY-attribute added to USE-statements,
-! kind-parameters added to all INTEGER and REAL declaration statements,
-! kinds are defined in new module kinds,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! 1010 2012-09-20 07:59:54Z raasch
-! cpp switch __nopointer added for pointer free version
-!
-! 981 2012-08-09 14:57:44Z maronga
-! Typo removed
-!
-! Revision 1.1  1997/08/29 08:54:33  raasch
-! Initial revision
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/advec_u_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_u_pw.f90	(revision 4179)
+++ /palm/trunk/SOURCE/advec_u_pw.f90	(revision 4180)
@@ -27,49 +27,4 @@
 ! variables documented
 ! 
-! 3538 2018-11-20 10:55:41Z suehring
-! Remove unnecessary double-masking of topography
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! topography representation via flags
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1873 2016-04-18 14:50:06Z maronga
-! Module renamed (removed _mod)
-! 
-! 
-! 1850 2016-04-08 13:29:27Z maronga
-! Module renamed
-! 
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1353 2014-04-08 15:21:23Z heinze
-! REAL constants provided with KIND-attribute
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! ONLY-attribute added to USE-statements,
-! kind-parameters added to all INTEGER and REAL declaration statements,
-! kinds are defined in new module kinds,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! Revision 1.1  1997/08/11 06:09:21  raasch
-! Initial revision
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/advec_u_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_u_up.f90	(revision 4179)
+++ /palm/trunk/SOURCE/advec_u_up.f90	(revision 4180)
@@ -27,49 +27,4 @@
 ! variables documented
 ! 
-! 3538 2018-11-20 10:55:41Z suehring
-! Remove unnecessary double-masking of topography
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! topography representation via flags
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1873 2016-04-18 14:50:06Z maronga
-! Module renamed (removed _mod)
-! 
-! 
-! 1850 2016-04-08 13:29:27Z maronga
-! Module renamed
-! 
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1353 2014-04-08 15:21:23Z heinze
-! REAL constants provided with KIND-attribute
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! ONLY-attribute added to USE-statements,
-! kind-parameters added to all INTEGER and REAL declaration statements,
-! kinds are defined in new module kinds,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! Revision 1.1  1997/08/29 08:55:25  raasch
-! Initial revision
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/advec_v_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_v_pw.f90	(revision 4179)
+++ /palm/trunk/SOURCE/advec_v_pw.f90	(revision 4180)
@@ -28,49 +28,4 @@
 ! variables documented
 ! 
-! 3538 2018-11-20 10:55:41Z suehring
-! Remove unnecessary double-masking of topography
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! topography representation via flags
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1873 2016-04-18 14:50:06Z maronga
-! Module renamed (removed _mod)
-! 
-! 
-! 1850 2016-04-08 13:29:27Z maronga
-! Module renamed
-! 
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1353 2014-04-08 15:21:23Z heinze
-! REAL constants provided with KIND-attribute
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! ONLY-attribute added to USE-statements,
-! kind-parameters added to all INTEGER and REAL declaration statements,
-! kinds are defined in new module kinds,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! Revision 1.1  1997/08/11 06:09:57  raasch
-! Initial revision
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/advec_v_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_v_up.f90	(revision 4179)
+++ /palm/trunk/SOURCE/advec_v_up.f90	(revision 4180)
@@ -27,49 +27,4 @@
 ! variables documented
 ! 
-! 3538 2018-11-20 10:55:41Z suehring
-! Remove unnecessary double-masking of topography
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! topography representation via flags
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1873 2016-04-18 14:50:06Z maronga
-! Module renamed (removed _mod)
-! 
-! 
-! 1850 2016-04-08 13:29:27Z maronga
-! Module renamed
-! 
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1353 2014-04-08 15:21:23Z heinze
-! REAL constants provided with KIND-attribute
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! ONLY-attribute added to USE-statements,
-! kind-parameters added to all INTEGER and REAL declaration statements,
-! kinds are defined in new module kinds,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! Revision 1.1  1997/08/29 08:56:05  raasch
-! Initial revision
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/advec_w_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_w_pw.f90	(revision 4179)
+++ /palm/trunk/SOURCE/advec_w_pw.f90	(revision 4180)
@@ -27,49 +27,4 @@
 ! variables documented
 ! 
-! 3538 2018-11-20 10:55:41Z suehring
-! Remove unnecessary double-masking of topography
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! topography representation via flags
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1873 2016-04-18 14:50:06Z maronga
-! Module renamed (removed _mod)
-! 
-! 
-! 1850 2016-04-08 13:29:27Z maronga
-! Module renamed
-! 
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1353 2014-04-08 15:21:23Z heinze
-! REAL constants provided with KIND-attribute
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! ONLY-attribute added to USE-statements,
-! kind-parameters added to all INTEGER and REAL declaration statements,
-! kinds are defined in new module kinds,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! Revision 1.1  1997/08/11 06:10:29  raasch
-! Initial revision
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/advec_w_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_w_up.f90	(revision 4179)
+++ /palm/trunk/SOURCE/advec_w_up.f90	(revision 4180)
@@ -27,52 +27,4 @@
 ! variables documented
 ! 
-! 3538 2018-11-20 10:55:41Z suehring
-! Remove unnecessary double-masking of topography
-! 
-! 3255 2018-09-17 11:57:36Z suehring
-! Missing wall flags added
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! topography representation via flags
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1873 2016-04-18 14:50:06Z maronga
-! Module renamed (removed _mod)
-! 
-! 
-! 1850 2016-04-08 13:29:27Z maronga
-! Module renamed
-! 
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1353 2014-04-08 15:21:23Z heinze
-! REAL constants provided with KIND-attribute
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! ONLY-attribute added to USE-statements,
-! kind-parameters added to all INTEGER and REAL declaration statements,
-! kinds are defined in new module kinds,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! Revision 1.1  1997/08/29 08:56:33  raasch
-! Initial revision
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 4179)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 4180)
@@ -77,218 +77,4 @@
 ! OpenACC port for SPEC
 ! 
-! 3589 2018-11-30 15:09:51Z suehring
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
-! 
-! 3582 2018-11-29 19:16:36Z suehring
-! - Computation of vertical fluxes separated from computation of horizontal 
-!   fluxes. Loops are splitted in order to avoid indirect indexing and allow 
-!   for better vectorization. 
-! - Accelerate code by remove type-conversions of ibits
-! - replace pointer definition in scalar routine by simple explicit definition
-!   of the passed array
-! 
-! 3547 2018-11-21 13:21:24Z suehring
-! variables documented
-! 
-! 3467 2018-10-30 19:05:21Z suehring
-! Implementation of a new aerosol module salsa.
-! 
-! 3302 2018-10-03 02:39:40Z raasch
-! Stokes drift velocity added in scalar advection
-! 
-! 3298 2018-10-02 12:21:11Z kanani
-! Add formatted note from ketelsen about statistics for chemistry
-!
-! 3294 2018-10-01 02:37:10Z raasch
-! ocean renamed ocean_mode
-! 
-! 3274 2018-09-24 15:42:55Z knoop
-! Modularization of all bulk cloud physics code components
-! 
-! 3241 2018-09-12 15:02:00Z raasch
-! unused variables removed
-! 
-! 3183 2018-07-27 14:25:55Z suehring
-! Rename variables for boundary-condition flags and for offline nesting mode 
-! 
-! 3182 2018-07-27 13:36:03Z suehring
-! Bugfix in calculation of left-sided fluxes for u-component in OpenMP case.
-! 
-! 2731 2018-01-09 17:44:02Z suehring
-! Enable loop vectorization by splitting the k-loop
-!
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-! Implement advection for TKE-dissipation in case of RANS-TKE-e closure (TG)
-! Allocate advc_flags_1/2 within ws_init_flags instead of init_grid
-! Change argument list for exchange_horiz_2d_int (MS)
-! 
-! 2329 2017-08-03 14:24:56Z knoop
-! Bugfix concerning density in divergence correction close to buildings
-! 
-! 2292 2017-06-20 09:51:42Z schwenkel
-! Implementation of new microphysic scheme: cloud_scheme = 'morrison' 
-! includes two more prognostic equations for cloud drop concentration (nc)  
-! and cloud water content (qc). 
-! 
-! 2233 2017-05-30 18:08:54Z suehring
-! 
-! 2232 2017-05-30 17:47:52Z suehring
-! Rename wall_flags_0 and wall_flags_00 into advc_flags_m and advc_flags_1, 
-! respectively.
-! Set advc_flags_1/2 on basis of wall_flags_0/00 instead of nzb_s/u/v/w_inner.
-! Setting advc_flags_1/2 also for downward-facing walls
-! 
-! 2200 2017-04-11 11:37:51Z suehring
-! monotonic_adjustment removed
-! 
-! 2118 2017-01-17 16:38:49Z raasch
-! OpenACC version of subroutines removed
-! 
-! 2037 2016-10-26 11:15:40Z knoop
-! Anelastic approximation implemented
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1996 2016-08-18 11:42:29Z suehring
-! Bugfix concerning calculation of turbulent of turbulent fluxes
-! 
-! 1960 2016-07-12 16:34:24Z suehring
-! Separate humidity and passive scalar
-! 
-! 1942 2016-06-14 12:18:18Z suehring
-! Initialization of flags for ws-scheme moved from init_grid.
-! 
-! 1873 2016-04-18 14:50:06Z maronga
-! Module renamed (removed _mod)
-! 
-! 
-! 1850 2016-04-08 13:29:27Z maronga
-! Module renamed
-!
-! 
-! 1822 2016-04-07 07:49:42Z hoffmann
-! icloud_scheme removed, microphysics_seifert added
-!
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1630 2015-08-26 16:57:23Z suehring
-! 
-! 
-! 1629 2015-08-26 16:56:11Z suehring
-! Bugfix concerning wall_flags at left and south PE boundaries
-!
-! 1581 2015-04-10 13:45:59Z suehring
-! 
-! 
-! 1580 2015-04-10 13:43:49Z suehring
-! Bugfix: statistical evaluation of scalar fluxes in case of monotonic limiter
-!
-! 1567 2015-03-10 17:57:55Z suehring
-! Bugfixes in monotonic limiter.
-!
-! 2015-03-09 13:10:37Z heinze
-! Bugfix: REAL constants provided with KIND-attribute in call of 
-! intrinsic functions like MAX and MIN 
-! 
-! 1557 2015-03-05 16:43:04Z suehring
-! Enable monotone advection for scalars using monotonic limiter
-!
-! 1374 2014-04-25 12:55:07Z raasch
-! missing variables added to ONLY list
-! 
-! 1361 2014-04-16 15:17:48Z hoffmann
-! accelerator and vector version for qr and nr added
-! 
-! 1353 2014-04-08 15:21:23Z heinze
-! REAL constants provided with KIND-attribute,
-! module kinds added
-! some formatting adjustments
-!
-! 1322 2014-03-20 16:38:49Z raasch
-! REAL constants defined as wp-kind
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! ONLY-attribute added to USE-statements,
-! kind-parameters added to all INTEGER and REAL declaration statements,
-! kinds are defined in new module kinds,
-! old module precision_kind is removed,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements
-!
-! 1257 2013-11-08 15:18:40Z raasch
-! accelerator loop directives removed
-!
-! 1221 2013-09-10 08:59:13Z raasch
-! wall_flags_00 introduced, which holds bits 32-...
-!
-! 1128 2013-04-12 06:19:32Z raasch
-! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
-! j_north
-!
-! 1115 2013-03-26 18:16:16Z hoffmann
-! calculation of qr and nr is restricted to precipitation
-!
-! 1053 2012-11-13 17:11:03Z hoffmann
-! necessary expansions according to the two new prognostic equations (nr, qr) 
-! of the two-moment cloud physics scheme:
-! +flux_l_*, flux_s_*, diss_l_*, diss_s_*, sums_ws*s_ws_l 
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! 1027 2012-10-15 17:18:39Z suehring
-! Bugfix in calculation indices k_mm, k_pp in accelerator version
-!
-! 1019 2012-09-28 06:46:45Z raasch
-! small change in comment lines
-!
-! 1015 2012-09-27 09:23:24Z raasch
-! accelerator versions (*_acc) added
-!
-! 1010 2012-09-20 07:59:54Z raasch
-! cpp switch __nopointer added for pointer free version
-!
-! 888 2012-04-20 15:03:46Z suehring
-! Number of REAL( IBITS() calls with identical arguments is reduced.
-!
-! 862 2012-03-26 14:21:38Z suehring
-! ws-scheme also work with topography in combination with vector version.
-! ws-scheme also work with outflow boundaries in combination with
-! vector version.
-! Degradation of the applied order of scheme is now steered by multiplying with
-! Integer advc_flags_1. 2nd order scheme, WS3 and WS5 are calculated on each
-! grid point and mulitplied with the appropriate flag.
-! 2nd order numerical dissipation term changed. Now the appropriate 2nd order
-! term derived according to the 4th and 6th order terms is applied. It turns
-! out that diss_2nd does not provide sufficient dissipation near walls.
-! Therefore, the function diss_2nd is removed.
-! Near walls a divergence correction is necessary to overcome numerical
-! instabilities due to too less divergence reduction of the velocity field.
-! boundary_flags and logicals steering the degradation are removed.
-! Empty SUBROUTINE local_diss removed.
-! Further formatting adjustments.
-!
-! 801 2012-01-10 17:30:36Z suehring
-! Bugfix concerning OpenMP parallelization. Summation of sums_wsus_ws_l,
-! sums_wsvs_ws_l, sums_us2_ws_l, sums_vs2_ws_l, sums_ws2_ws_l, sums_wspts_ws_l,
-! sums_wsqs_ws_l, sums_wssas_ws_l is now thread-safe by adding an additional
-! dimension.
-!
-! Initial revision
-!
-! 411 2009-12-11 12:31:43 Z suehring
-!
-!
-!
-! @author Matthias Suehring
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/average_3d_data.f90	(revision 4179)
+++ /palm/trunk/SOURCE/average_3d_data.f90	(revision 4180)
@@ -42,143 +42,4 @@
 ! Implementation of the PALM module interface
 ! 
-! 3597 2018-12-04 08:40:18Z maronga
-! Added theta_2m
-! 
-! 3589 2018-11-30 15:09:51Z suehring
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
-!
-! 3582 2018-11-29 19:16:36Z suehring
-! dom_dwd_user:
-! Clean up biometeorology call
-! 
-! 3525 2018-11-14 16:06:14Z kanani
-! Changes related to clean-up of biometeorology (dom_dwd_user)
-! 
-! 3467 2018-10-30 19:05:21Z suehring
-! Implementation of a new aerosol module salsa.
-! 
-! 3448 2018-10-29 18:14:31Z kanani
-! Adjustment of biometeorology calls
-! 
-! 3421 2018-10-24 18:39:32Z gronemeier
-! Renamed output variables
-! 
-! 3419 2018-10-24 17:27:31Z gronemeier
-! (from resler branch)
-! Add biometeorology output,
-! fix for chemistry output,
-! move of urban surface output
-! 
-! 3294 2018-10-01 02:37:10Z raasch
-! changes concerning modularization of ocean option
-! 
-! 3274 2018-09-24 15:42:55Z knoop
-! Modularization of all bulk cloud physics code components
-! 
-! 3004 2018-04-27 12:33:25Z Giersch
-! Further allocation checks implemented, case z0q* added
-! 
-! 2885 2018-03-14 11:02:46Z Giersch
-! Preliminary gust module interface implemented
-! 
-! 2797 2018-02-08 13:24:35Z suehring
-! Enable output of ground-heat flux also at urban surfaces.
-! 
-! 2766 2018-01-22 17:17:47Z kanani
-! Removed preprocessor directive __chem
-! 
-! 2742 2018-01-12 14:59:47Z suehring
-! Enable output of surface temperature
-! 
-! 2735 2018-01-11 12:01:27Z suehring
-! output of r_a moved from land-surface to consider also urban-type surfaces
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-! Implement call for turbulence_closure_mod (TG)
-! Implementation of chemistry module (FK)
-! 
-! 2292 2017-06-20 09:51:42Z schwenkel
-! Implementation of new microphysic scheme: cloud_scheme = 'morrison' 
-! includes two more prognostic equations for cloud drop concentration (nc)  
-! and cloud water content (qc).  
-! 
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! Adjustments to new surface concept - additional ghost point exchange 
-! of surface variable required
-! 
-! 2031 2016-10-21 15:11:58Z knoop
-! renamed variable rho to rho_ocean and rho_av to rho_ocean_av
-! 
-! 2011 2016-09-19 17:29:57Z kanani
-! Flag urban_surface is now defined in module control_parameters,
-! changed prefix for urban surface model output to "usm_",
-! introduced control parameter varnamelength for LEN of trimvar.
-! 
-! 2007 2016-08-24 15:47:17Z kanani
-! Added support for new urban surface model (temporary modifications of 
-! SELECT CASE ( ) necessary, see variable trimvar),
-! added comments in variable declaration section
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1972 2016-07-26 07:52:02Z maronga
-! Output of land surface quantities is now done directly in the respective module
-! 
-! 1960 2016-07-12 16:34:24Z suehring
-! Treat humidity and passive scalar separately
-! 
-! 1691 2015-10-26 16:17:44Z maronga
-! Added output of Obukhov length and radiative heating rates for RRTMG. 
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1585 2015-04-30 07:05:52Z maronga
-! Adapted for RRTMG
-! 
-! 1555 2015-03-04 17:44:27Z maronga
-! Added output of r_a and r_s
-! 
-! 1551 2015-03-03 14:18:16Z maronga
-! Added support for land surface and radiation model parameters.
-!
-! 1322 2014-03-20 16:38:49Z raasch
-! REAL functions provided with KIND-attribute
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! ONLY-attribute added to USE-statements,
-! kind-parameters added to all INTEGER and REAL declaration statements,
-! kinds are defined in new module kinds,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements
-!
-! 1318 2014-03-17 13:35:16Z raasch
-! barrier argument removed from cpu_log,
-! module interfaces removed
-!
-! 1115 2013-03-26 18:16:16Z hoffmann
-! +qc
-!
-! 1053 2012-11-13 17:11:03Z hoffmann
-! averaging of nr, qr added
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! 978 2012-08-09 08:28:32Z fricke
-! +z0h_av
-!
-! Revision 1.1  2006/02/23 09:48:58  raasch
-! Initial revision
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/basic_constants_and_equations_mod.f90
===================================================================
--- /palm/trunk/SOURCE/basic_constants_and_equations_mod.f90	(revision 4179)
+++ /palm/trunk/SOURCE/basic_constants_and_equations_mod.f90	(revision 4180)
@@ -37,12 +37,4 @@
 ! OpenACC port for SPEC
 ! 
-! 3449 2018-10-29 19:36:56Z suehring
-! +degc_to_k 
-! 
-! 3361 2018-10-16 20:39:37Z knoop
-! New module (introduced with modularization of bulk cloud physics model)
-!
-! 
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/biometeorology_mod.f90
===================================================================
--- /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4179)
+++ /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4180)
@@ -90,51 +90,4 @@
 ! Bugfixes and additions for enabling restarts with biometeorology 
 ! 
-! 3646 2018-12-28 17:58:49Z kanani
-! Remove check for simulated_time > 0, it is not required since biometeorology
-! is only called from time_integration and not during time_integration_spinup
-! 
-! 3614 2018-12-10 07:05:46Z raasch
-! unused variables removed
-! 
-! 3593 2018-12-03 13:51:13Z kanani
-! Bugfix: additional tmrt_grid allocation in case bio_mrt not selected as ouput,
-! replace degree symbol by degree_C
-! 
-! 3582 2018-11-29 19:16:36Z suehring
-! Consistently use bio_fill_value everywhere,
-! move allocation and initialization of output variables to bio_check_data_output
-! and bio_3d_data_averaging,
-! dom_dwd_user, Schrempf:
-! - integration of UVEM module part from r3474 (edited)
-! - split UTCI regression into 6 parts
-! - all data_output_3d is now explicity casted to sp
-!
-! 3525 2018-11-14 16:06:14Z kanani
-! Clean up, renaming from "biom" to "bio", summary of thermal index calculation
-! into one module (dom_dwd_user)
-! 
-! 3479 2018-11-01 16:00:30Z gronemeier
-! - reworked check for output quantities
-! - assign new palm-error numbers
-! - set unit according to data standard.
-! 
-! 3475 2018-10-30 21:16:31Z kanani
-! Add option for using MRT from RTM instead of simplified global value
-! 
-! 3464 2018-10-30 18:08:55Z kanani
-! From branch resler@3462, pavelkrc:
-! make use of basic_constants_and_equations_mod
-! 
-! 3448 2018-10-29 18:14:31Z kanani
-! Initial revision
-!
-! 
-!
-! Authors:
-! --------
-! @author Dominik Froehlich <dominik.froehlich@dwd.de>, thermal indices
-! @author Jaroslav Resler <resler@cs.cas.cz>, mean radiant temperature
-! @author Michael Schrempf <schrempf@muk.uni-hannover.de>, uv exposure
-!
 !
 ! Description:
